org.apache.cassandra.hadoop

## Class Progressable

- java.lang.Object
- - org.apache.cassandra.hadoop.Progressable

-     public class Progressable
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Progressable(org.apache.hadoop.util.Progressable progressable)`
    `Progressable(org.apache.hadoop.mapreduce.TaskAttemptContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `progress()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Progressable

          public Progressable(org.apache.hadoop.mapreduce.TaskAttemptContext context)

    - #### Progressable

          public Progressable(org.apache.hadoop.util.Progressable progressable)

  - ### Method Detail

    - #### progress

          public void progress()

Copyright © 2014 The Apache Software Foundation